;InnoSetupVersion=2.0.7

[Setup]
AppName=DzSoft Favorites Search
AppVerName=DzSoft Favorites Search 1.02
AppId=DzFavSeek
AppVersion=1.02
AppPublisher=DzSoft Ltd
AppPublisherURL=http://www.dzsoft.com/
AppSupportURL=http://www.dzsoft.com/support.htm
AppUpdatesURL=http://www.dzsoft.com/
DefaultDirName={pf}\DzSoft\Favorites Search
DefaultGroupName=DzSoft Favorites Search
UninstallDisplayIcon={app}\FavSeekC.ico
OutputBaseFilename=setup
Compression=zip
DisableProgramGroupPage=yes
LicenseFile=embedded\License.rtf
InfoAfterFile=embedded\InfoAfter.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\FavSeek.dll"; DestDir: "{app}"; Flags: regserver 
Source: "{app}\FavSeekC.ico"; DestDir: "{app}"; 
Source: "{app}\FavSeekG.ico"; DestDir: "{app}"; 
Source: "{app}\Help.htm"; DestDir: "{app}"; 
Source: "{app}\License.htm"; DestDir: "{app}"; 
Source: "{app}\LastFound.txt"; DestDir: "{app}"; 
Source: "{app}\Lang\Native.lng"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\Italian.lng"; DestDir: "{app}\Lang"; 
Source: "{app}\Lang\Help_Italian.htm"; DestDir: "{app}\Lang"; 

[Dirs]
Name: "{app}\Lang"; 

[Registry]
Root: HKLM; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{FF925300-80E6-11D4-A15B-FFF9086C1A3C}"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{FF925300-80E6-11D4-A15B-FFF9086C1A3C}"; ValueName: "BandCLSID"; ValueType: String; ValueData: "{{4DC701A0-93AD-11D4-A15B-AF07886E4A07}"; 
Root: HKLM; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{FF925300-80E6-11D4-A15B-FFF9086C1A3C}"; ValueName: "ButtonText"; ValueType: String; ValueData: "Favorites Search"; 
Root: HKLM; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{FF925300-80E6-11D4-A15B-FFF9086C1A3C}"; ValueName: "CLSID"; ValueType: String; ValueData: "{{E0DD6CAB-2D10-11D2-8F1A-0000F87ABD16}"; 
Root: HKLM; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{FF925300-80E6-11D4-A15B-FFF9086C1A3C}"; ValueName: "Default Visible"; ValueType: String; ValueData: "Yes"; 
Root: HKLM; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{FF925300-80E6-11D4-A15B-FFF9086C1A3C}"; ValueName: "HotIcon"; ValueType: String; ValueData: "{app}\FavSeekC.ico"; 
Root: HKLM; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{FF925300-80E6-11D4-A15B-FFF9086C1A3C}"; ValueName: "Icon"; ValueType: String; ValueData: "{app}\FavSeekG.ico"; 
Root: HKCR; Subkey: "CLSID\{{4DC701A0-93AD-11D4-A15B-AF07886E4A07}"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{4DC701A0-93AD-11D4-A15B-AF07886E4A07}"; ValueType: String; ValueData: "DzSoft Favorites Search"; 
Root: HKCR; Subkey: "CLSID\{{4DC701A0-93AD-11D4-A15B-AF07886E4A07}\InprocServer32"; Flags: uninsdeletekey 
Root: HKCR; Subkey: "CLSID\{{4DC701A0-93AD-11D4-A15B-AF07886E4A07}\InprocServer32"; ValueType: String; ValueData: "{app}\FavSeek.dll"; 
Root: HKCR; Subkey: "CLSID\{{4DC701A0-93AD-11D4-A15B-AF07886E4A07}\InprocServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; 
Root: HKCR; Subkey: "CLSID\{{4DC701A0-93AD-11D4-A15B-AF07886E4A07}\Implemented Categories\{{00021493-0000-0000-C000-000000000046}"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\CLASSES\CLSID\{{4DC701A0-93AD-11D4-A15B-AF07886E4A07}"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\CLASSES\CLSID\{{4DC701A0-93AD-11D4-A15B-AF07886E4A07}"; ValueType: String; ValueData: "DzSoft Favorites Search"; 
Root: HKLM; Subkey: "Software\CLASSES\CLSID\{{4DC701A0-93AD-11D4-A15B-AF07886E4A07}\InprocServer32"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\CLASSES\CLSID\{{4DC701A0-93AD-11D4-A15B-AF07886E4A07}\InprocServer32"; ValueType: String; ValueData: "{app}\FavSeek.dll"; 
Root: HKLM; Subkey: "Software\CLASSES\CLSID\{{4DC701A0-93AD-11D4-A15B-AF07886E4A07}\InprocServer32"; ValueName: "ThreadingModel"; ValueType: String; ValueData: "Apartment"; 
Root: HKLM; Subkey: "Software\CLASSES\CLSID\{{4DC701A0-93AD-11D4-A15B-AF07886E4A07}\Implemented Categories\{{00021493-0000-0000-C000-000000000046}"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Internet Explorer\Extensions\{{FF925300-80E6-11D4-A15B-FFF9086C1A3C}"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\Discardable\PostSetup\Component Categories\{{00021493-0000-0000-C000-000000000046}\Enum"; Flags: deletekey noerror dontcreatekey 
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\Discardable\PostSetup\Component Categories\{{00021494-0000-0000-C000-000000000046}\Enum"; Flags: deletekey noerror dontcreatekey 
Root: HKCU; Subkey: "Software\DzSoft"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\DzSoft\Favorites Search"; Flags: uninsdeletekey 

[INI]
FileName: "{app}\DzSoft.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.dzsoft.com/"; 

[Icons]
Name: "{group}\Readme"; Filename: "{app}\Help.htm"; WorkingDir: "{app}"; Comment: "How to use DzSoft Favorites Search"; 
Name: "{group}\DzSoft Web Site"; Filename: "{app}\DzSoft.url"; WorkingDir: "{app}"; Comment: "Go to www.dzsoft.com"; 

[UninstallDelete]
Type: files; Name: "{app}\DzSoft.url"; 
